Skip to main content
GET
/
team
/
{team}
/
routing
/
services
List all services
curl --request GET \
  --url https://app.smartsend.io/api/v2/team/{team}/routing/services \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "service_code": "<string>",
      "service_name": "<string>",
      "carrier_code": "<string>",
      "carrier_name": "<string>",
      "carrier_logo_url": "<string>",
      "carrier_icon_url": "<string>",
      "is_pickup": true,
      "is_return": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.

Example:

"da-DK, da;q=0.9, en;q=0.8"

Request-ID
string

Any value passed in this request will be returned in the same header. This can be used to correlate requests between client and server.

Required string length: 1 - 128

Path Parameters

team
string
required

Team identifier. All resources are scoped to this team.

Minimum string length: 1
Example:

"ad9546c1-393e-49a5-9a72-5cc146c9bec5"

Response

Services retrieved successfully

data
object[]
required